Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

  1. #1

    Default Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    Hi, I tried using the one-click install for Compiz-Fusion but in return I had a string of conflicts. For the record, Composite is enabled and the 3D effects are fine. Below is the conflicts list that I got (there are many more but I didn't put them all):

    Code:
    #### YaST2 conflicts list - generated 2009-03-29 01:34:45 ####
    
    nothing provides python < 2.6 needed by compizconfig-settings-manager-0.7.8-2.2.i586
    
        [ ] do not install compizconfig-settings-manager-0.7.8-2.2.i586
    
    
    
    nothing provides python < 2.6 needed by python-compizconfig-0.7.8-2.3.i586
    
        [ ] do not install python-compizconfig-0.7.8-2.3.i586
    
    
    
    nothing provides python < 2.6 needed by simple-ccsm-0.7.8-4.1.i586
    
        [ ] do not install simple-ccsm-0.7.8-4.1.i586
    
    
    
    kdebase4-workspace-4.2.0-197.4.i586 requires kde4-kgreeter-plugins = 4.2.0, but this requirement cannot be provided
    deleted providers: kde4-kgreeter-plugins-4.2.0-197.4.i586[@System]
        [ ] Following actions will be done:
    downgrade of kdebase4-workspace-4.2.0-197.4.i586 to kdebase4-workspace-4.1.3-10.2.1.i586
    downgrade of kde4-kgreeter-plugins-4.2.0-197.4.i586 to kde4-kgreeter-plugins-4.1.3-10.2.1.i586
    downgrade of kdebase4-session-4.2.0-32.2.i586 to kdebase4-session-4.1.3-2.1.i586
    downgrade of kde4-kdm-4.2.0-197.4.i586 to kde4-kdm-4.1.3-10.2.1.i586
    downgrade of kdebluetooth4-0.3-9.18.i586 to kdebluetooth4-0.3-4.1.1.i586
    downgrade of kde4-kwin-4.2.1-3.2.i586 to kde4-kwin-4.1.3-10.2.1.i586
    downgrade of kdeartwork4-screensaver-4.2.0-27.7.i586 to kdeartwork4-screensaver-4.1.3-1.26.i586
    downgrade of kde4-plasmoid-quickaccess-0.7.1-6.16.i586 to kde4-plasmoid-quickaccess-0.7.1-4.22.i586
    downgrade of kde4-plasma-addons-4.2.0-55.6.i586 to kde4-plasma-addons-4.1.3-5.21.i586
    downgrade of kde4-kget-4.2.0-58.7.i586 to kde4-kget-4.1.3-4.13.i586
    downgrade of kdebase4-runtime-4.2.1-82.2.i586 to kdebase4-runtime-4.1.3-4.1.i586
    downgrade of skanlite-0.2.kde4.2.0-9.18.i586 to skanlite-0.2-3.17.i586
    downgrade of ktorrent-3.2-23.1.i586 to ktorrent-3.2-0.pm.3.i586
    install ktorrent-3.2-0.pm.3.i586 (with vendor change)
      openSUSE Build Service
    -->
      http://packman.links2linux.de
    downgrade of kdepim4-wizards-4.2.0-89.7.i586 to kdepim4-wizards-4.1.3-3.13.i586
    downgrade of kdepim4-4.2.0-89.7.i586 to kdepim4-4.1.3-3.13.i586
    downgrade of kdenetwork4-filesharing-4.2.0-58.7.i586 to kdenetwork4-filesharing-4.1.3-4.13.i586
    downgrade of kdegames4-4.2.0-41.17.i586 to kdegames4-4.1.3-3.8.i586
    downgrade of kdemultimedia4-4.2.0-41.19.i586 to kdemultimedia4-4.1.3-4.14.i586
    Please help. Appreciated!

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,728
    Blog Entries
    20

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    It is not necessary to do an further install of Compiz other than that installed by default in kde4.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    Thanks caf4926. Okay I had heard about it before -- that there is no specific need to install compiz on this. I am just wondering-- how do I go about installing new compiz/emerald themes then? I don't see any config manager for that on my system. That is what prompted me to do an install.

  4. #4
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    Hello,

    check out my post about the new one click installer on compiz. I gave a link to the old repository which works for me.

    New Compiz Repositories - openSUSE Forums
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  5. #5

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    For me in KDE its better to use its native effects, compiz and KDE never quite got along as its more gnome oriented.

  6. #6

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    Thanks for your response....
    I am trying to install Compiz only because I need to be able to use the emerald themes. More specifically, I need to have some extra window decorations. If I am able to have that without installing Compiz I am fine with it. I have been unable to find the documentation for that. Is there a way to do it without Compiz (or as they say you dont need to install Compiz on KDE4.2).

  7. #7
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    Have a look at

    Eyecandy for your KDE-Desktop - KDE-Look.org

    It has plenty of themes and icons and tons of other things for your KDE desktop.

    Otherwise I can try to help you get compiz working for kde. I have a specific setup that hasn't failed me on any of the computers I've installed on. But the choice is yours.

    kde-look.org has plenty of themes and such to fit your needs, but if it's not enough you can still try to get compiz to work.

    Good Luck!

    Ian
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  8. #8

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    Ian,

    Thank you. I have seen the website you have mentioned and as I have mentioned in one of my previous posts, I don't know how to go about installing the .emerald files (or the other theme) files that I can download from kde-look.org. That is my exact problem.

  9. #9
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    Oh. Well, it's quite easy actually. Open up emerald in a terminal with:

    Code:
    emerald-theme-manager
    click import

    find the file you downloaded and select it.

    Emerald will then add the file to your themes.

    You then just click on that theme and emerald will change to that theme.
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  10. #10

    Default Re: Compiz Fusion on KDE 4.2/ OpenSuse 11.1

    The command "emerald-theme-manager" is not available. Here's the output:

    Code:
    emerald-theme-manager
    
    The program 'emerald-theme-manager' can be found in following packages:
      * compiz-emerald [ path: /usr/bin/emerald-theme-manager, repository: zypp (20090215-171028) ]
      * compiz-emerald [ path: /usr/bin/emerald-theme-manager, repository: zypp (repo-oss) ]
      * compiz-emerald [ path: /usr/bin/emerald-theme-manager, repository: zypp (X11:XGL) ]
    
    Try installing with: sudo zypper install compiz-emerald
    
    bash: emerald-theme-manager: command not found

Page 1 of 3 123 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •